Subject: Re: bug#24109: 24.5; Long lines in message mode make Emacs irresponsive

From: Yuri D'Elia <[email-masked]>
Date: Tue, 30 Aug 2016 14:38:48 +0200

I've also stumbled on this bug when using mu4e.
I've rebuilt the current emacs from git (4961cc3f368d9114c305efe6243987bcfa3fd29b) with:

  '--with-x-toolkit=lucid' 'CFLAGS=-O0 -ggdb3'

I've used lucid as that's the normal tk I use. I managed to hang emacs the same
way I currently do on 24.5 (from debian), by scrolling through a *mu4e-headers*
view. C-g does nothing.

The backtrace is as follows:

#0  forward_to_next_line_start (it=0x7fffffff8960, skipped_p=0x7fffffff74be, bidi_it_prev=0x7fffffff6ba0)
    at xdisp.c:6244
#1  0x0000000000443cfa in reseat_at_next_visible_line_start (it=0x7fffffff8960, on_newline_p=false)
    at xdisp.c:6435
#2  0x000000000047053b in display_line (it=0x7fffffff8960) at xdisp.c:21175
#3  0x0000000000462fb3 in try_window (window=20150677, pos=..., flags=1) at xdisp.c:17290
#4  0x0000000000460334 in redisplay_window (window=20150677, just_this_one_p=true) at xdisp.c:16727
#5  0x0000000000459061 in redisplay_window_1 (window=20150677) at xdisp.c:14476
#6  0x00000000005e47f1 in internal_condition_case_1 (bfun=0x45901f <redisplay_window_1>, arg=20150677, 
    handlers=13786163, hfun=0x458f99 <redisplay_window_error>) at eval.c:1337
#7  0x000000000045849b in redisplay_internal () at xdisp.c:14101
#8  0x0000000000456325 in redisplay () at xdisp.c:13263
#9  0x000000000054f480 in read_char (commandflag=1, map=43265955, prev_event=0, 
    used_mouse_menu=0x7fffffffdbaf, end_time=0x0) at keyboard.c:2482
#10 0x000000000055c63c in read_key_sequence (keybuf=0x7fffffffdd60, bufsize=30, prompt=0, 
    dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, 
    prevent_redisplay=false) at keyboard.c:9094
#11 0x000000000054cb9b in command_loop_1 () at keyboard.c:1370
#12 0x00000000005e4757 in internal_condition_case (bfun=0x54c791 <command_loop_1>, handlers=19104, 
    hfun=0x54bf7e <cmd_error>) at eval.c:1313
#13 0x000000000054c49b in command_loop_2 (ignore=0) at keyboard.c:1112
#14 0x00000000005e4089 in internal_catch (tag=46368, func=0x54c472 <command_loop_2>, arg=0) at eval.c:1079
#15 0x000000000054c43d in command_loop () at keyboard.c:1091
#16 0x000000000054bb63 in recursive_edit_1 () at keyboard.c:697
#17 0x000000000054bcda in Frecursive_edit () at keyboard.c:768
#18 0x0000000000549b5c in main (argc=1, argv=0x7fffffffe208) at emacs.c:1658

Lisp Backtrace:
"redisplay_internal (C function)" (0x0)

Emacs is stuck in try_window calling display_line, where the "it" parameter remains constant.
I'm attaching the output of *it in the email, hoping it might be useful.